---
title: "Create Sender"
source_url: https://docs.rapyd.net/en/create-sender.html
lang: en
---

# Create Sender

Create a sender for use in payouts.

The response produces a unique sender ID, which you can use in place of the `sender` object for [Create Payout](https://docs.rapyd.net/en/create-payout.md "Create Payout").

> **Note:**
>
> - In addition to the required fields documented below, you must include all other sender fields listed in the response to , and you must conform to the regex provided. To create a sender that you can use with multiple payout methods, include all fields that are required by each payout method. The client is responsible for including all required fields.
> - The code samples include successful requests (200) and bad requests (400).
>
>   - For error messages that appear due to bad requests (400), see: [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")
>   - For information about unauthorized request (401) and other authentication errors, see [Troubleshooting Authentication and Authorization Errors](https://docs.rapyd.net/en/troubleshooting-authentication-and-authorization-errors.md "Troubleshooting Authentication and Authorization Errors").

### Parameters

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Body Parameters

- - company_name
  - Name of the sender company. Relevant when `entity_type` is **company**.
- - country
  - Country of the sender. Two-letter ISO 3166-1 ALPHA-2 code.
- - currency
  - Currency that the sender is paying with. Three-letter ISO 4217 code.
- - entity_type
  - Type of entity. One of the following values:

    - **company**
    - **individual**
- - first_name
  - First name of the sender. Relevant when `entity_type` is **individual**.
- - identification_type
  - Type of identification document for the sender. When `entity_type` is **company**, this field must be **company_registered_number**. When `entity_type` is **individual**, one of the following values:

    - **drivers_license**
    - **identification_id**
    - **international_passport**
    - **residence_permit**
    - **social_security**
    - **work_permit**
- - identification_value
  - Identification number on the document mentioned in `identification_type`.
- - last_name
  - Last name of the sender. Relevant when `entity_type` is **individual**.

### Response Parameters

- - address
  - The address of the sender - street and number.
- - city
  - City where the sender is located.
- - company_name
  - Name of the sender company. Relevant when `entity_type` is **company**.
- - country
  - Country of the sender. Two-letter ISO 3166-1 ALPHA-2 code.
- - currency
  - Currency that the sender is paying with. Three-letter ISO 4217 code.
- - date_of_birth
  - The date of birth of the sender. Relevant when `entity_type` is **individual**.
- - entity_type
  - Type of entity. One of the following values:

    - **company**
    - **individual**
- - first_name
  - First name of the sender. Relevant when `entity_type` is **individual**.
- - id
  - ID of the Sender object. String starting with **sender_**.
- - identification_type
  - Type of identification document for the sender. When `entity_type` is **company**, this field must be **company_registered_number**. When `entity_type` is **individual**, one of the following values:

    - **drivers_license**
    - **identification_id**
    - **international_passport**
    - **residence_permit**
    - **social_security**
    - **work_permit**
- - identification_value
  - Identification number on the document mentioned in `identification_type`.
- - last_name
  - Last name of the sender. Relevant when `entity_type` is **individual**.
- - name
  - Name of the sender. Relevant when `entity_type` is **company**.
- - postcode
  - Postal code of the sender.
- - state
  - State where the sender is located.

- /v1/payouts/sender

- Create Sender - individual
- ```curl
  curl -X post
  'https://sandboxapi.rapyd.net/v1/payouts/sender' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "country": "US",
      "currency": "USD",
      "entity_type": "individual",
      "first_name": "Jane",
      "last_name": "Doe",
      "identification_type": "identification_id",
      "identification_value": "987654321",
      "date_of_birth": "12/25/2000",
      "address": "1 Second Street",
      "city": "Anytown",
      "state": "",
      "postcode": "12345"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "cde4fe59-9c2e-4723-9dae-c1e1a467eef8"
      },
      "data": {
          "id": "sender_2a2c042807ee053582f817ec37c89fc1",
          "last_name": "Doe",
          "first_name": "Jane",
          "country": "US",
          "entity_type": "individual",
          "address": "1 Second Street",
          "name": "Jane Doe",
          "date_of_birth": "12/25/2000",
          "postcode": "12345",
          "city": "Anytown",
          "currency": "USD",
          "identification_type": "identification_id",
          "identification_value": "987654321"
      }
  }
  ```

- Create Sender - company
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/payouts/sender' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "company_name": "Four Star Professional Services",
      "country": "US",
      "currency": "USD",
      "entity_type": "company",
      "identification_type": "company_registered_number",
      "identification_value": "0123456789",
      "purpose_code": "Transfer"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "b44d86ca-2afd-4ec8-a7ef-95a3f1689c6a"
      },
      "data": {
          "id": "sender_6fc83863c4cdb018260bb35c60949afc",
          "country": "US",
          "entity_type": "company",
          "name": "Four Star Professional Services",
          "company_name": "Four Star Professional Services",
          "currency": "USD",
          "identification_type": "company_registered_number",
          "identification_value": "0123456789",
          "purpose_code": "Transfer"
      }
  }
  ```

- Bad Request - Entity Type Missing
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/payouts/sender' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "country": "US",
      "currency": "USD",
      "first_name": "Jane",
      "last_name": "Doe",
      "identification_type": "identification_id",
      "identification_value": "987654321",
      "date_of_birth": "12/25/2000",
      "address": "1 Second Street",
      "city": "Anytown",
      "postcode": "12345"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_MISSING_PAYOUT_SENDER_ENTITY_TYPE",
          "status": "ERROR",
          "message": "The request attempted an operation that requires the entity type of the sender, but the entity type was not found. The request was rejected. Corrective action: Set the sender entity type to 'individual' or 'company'.",
          "response_code": "ERROR_MISSING_PAYOUT_SENDER_ENTITY_TYPE",
          "operation_id": "ea988b6a-eb45-43de-b33b-28be139c791f"
      }
  }
  ```

- Bad Request - Country Missing
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/payouts/sender' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "currency": "USD",
      "entity_type": "individual",
      "first_name": "Jane",
      "last_name": "Doe",
      "identification_type": "identification_id",
      "identification_value": "987654321",
      "date_of_birth": "12/25/2000",
      "address": "1 Second Street",
      "city": "Anytown",
      "postcode": "12345"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_CREATE_SENDER_COUNTRY_NOT_VALID",
          "status": "ERROR",
          "message": "The request tried to create a sender for a payout, but the country was missing or not recognized. The request was rejected. Corrective action: In the 'country' field, use the correct 2-letter ISO 3166-1 ALPHA-2 code.",
          "response_code": "ERROR_CREATE_SENDER_COUNTRY_NOT_VALID",
          "operation_id": "600b0cab-a283-45fe-aa9c-e214af886c9b"
      }
  }
  ```
